Subject: Re: linux-next: manual merge of the block tree with Linus' tree

From: Jens Axboe <[email-masked]>
Date: Mon, 5 May 2025 07:15:18 -0600

On 5/4/25 9:25 PM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the block tree got a conflict in:
> 
>   drivers/block/ublk_drv.c
> 
> between commit:
> 
>   69edf98be844 ("ublk: decouple zero copy from user copy")
> 
> from Linus' tree and commit:
> 
>   2a86eec6396f ("ublk: take const ubq pointer in ublk_get_iod()")
> 
> from the block tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks looks good, I've merged the 6.15 block changes into
for-6.16/block to resolve this locally. Current block for-next branch
should merge cleanly.

-- 
Jens Axboe